Bug 173036 - net-mgmt/argus3-clients, update
net-mgmt/argus3-clients, update
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Ruslan Makhmatkhanov
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-24 21:50 UTC by pauls
Modified: 2013-01-05 08:00 UTC (History)
0 users

See Also:


Attachments
argus3-clients.diff (11.47 KB, patch)
2012-10-24 21:50 UTC, pauls
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2012-10-24 21:50:01 UTC
	net-mgmt/argus3-clients, update port to versin 3.0.6.2,
	update Makefile to use new OPTIONS framework, this PR
	should not be committed until I send the update to
	argus3 as well, and the maintainer approves it.
	This supercedes PR ports/173009 which I have requested
	to be cancelled.
Comment 1 Edwin Groothuis freebsd_committer 2012-10-24 21:50:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-10-24 21:50:09 UTC
Maintainer of net-mgmt/argus3-clients,

Please note that PR ports/173036 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173036

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 support 2012-10-26 12:47:35 UTC
Hello.

I approve this patch for update net-mgmt/argus3-clients.

Thanks.

On 25 =D0=BE=D0=BA=D1=82=D1=8F=D0=B1=D1=80=D1=8F 2012 00:50:09 you wrote:
> Maintainer of net-mgmt/argus3-clients,
>=20
> Please note that PR ports/173036 has just been submitted.
>=20
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>=20
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=3Dports/173036

=2D-=20
Demin Alexander / Network Administrator
Group of companies Spectrum / tel. (+7 495) 995-8999
Russia, Moscow, 125009, Strastnoy blvr. 8
Web: http://www.spectrum.ru/
Comment 4 Mark Linimon freebsd_committer 2012-10-26 23:03:05 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2013-01-05 07:51:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 6 dfilter freebsd_committer 2013-01-05 07:53:59 UTC
Author: rm
Date: Sat Jan  5 07:53:50 2013
New Revision: 309950
URL: http://svnweb.freebsd.org/changeset/ports/309950

Log:
  - update to 3.0.6.2
  - convert to optionsng
  - remove unneded patches
  
  while here:
  - trim Makefile header
  - add license (GPLv3)
  - add missing perl dependency
  
  PR:		173036
  Submitted by:	Paul Schmehl <pauls@utdallas.edu>
  Approved by:	Alexander Demin <support@spectrum.ru>

Deleted:
  head/net-mgmt/argus3-clients/files/
Modified:
  head/net-mgmt/argus3-clients/Makefile
  head/net-mgmt/argus3-clients/distinfo
  head/net-mgmt/argus3-clients/pkg-descr
  head/net-mgmt/argus3-clients/pkg-plist

Modified: head/net-mgmt/argus3-clients/Makefile
==============================================================================
--- head/net-mgmt/argus3-clients/Makefile	Sat Jan  5 07:52:19 2013	(r309949)
+++ head/net-mgmt/argus3-clients/Makefile	Sat Jan  5 07:53:50 2013	(r309950)
@@ -1,13 +1,8 @@
-# New ports collection makefile for:	argus3-clients
-# Date created:		24 March 2004
-# Whom:			Stefan Esser <se@FreeBSD.org>
-#
+# Created by: Stefan Esser <se@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	argus-clients
-PORTVERSION=	3.0.4.1
-PORTREVISION=	1
+PORTVERSION=	3.0.6.2
 CATEGORIES=	net-mgmt security
 MASTER_SITES=	http://qosient.com/argus/src/ \
 		ftp://qosient.com/pub/argus/src/
@@ -15,65 +10,73 @@ MASTER_SITES=	http://qosient.com/argus/s
 MAINTAINER=	pauls@utdallas.edu
 COMMENT=	Client programs for the argus IP network transaction auditing tool
 
+LICENSE=	GPLv3
+
 CONFLICTS=	argus-clients-2* argus-clients-sasl-2*
 
-OPTIONS+=	SASL "SASL authentication support" on \
-		MYSQL "MySQL database support" on \
-		GEOIP "GeoIP library support" off
+OPTIONS_DEFINE=	GEOIP MANPAGES MYSQL SASL
+OPTIONS_DEFAULT=MANPAGES MYSQL SASL
 
 .include <bsd.port.options.mk>
 
 USE_BISON=	build
 GNU_CONFIGURE=	true
 USE_NCURSES=	yes
+USE_PERL5=	yes
 
-.if defined(WITH_SASL)
-PKGNAMESUFFIX=	-sasl
+.if ${PORT_OPTIONS:MSASL}
+PKGNAMESUFFIX+=	-sasl
 LIB_DEPENDS+=	sasl2:${PORTSDIR}/security/cyrus-sasl2
 CONFIGURE_ARGS+=	--with-sasl=${LOCALBASE}
 .endif
 
-.if defined(WITH_MYSQL)
+.if ${PORT_OPTIONS:MMYSQL}
 USE_MYSQL=	yes
 PLIST_SUB+=	MYSQL=""
+MAN1+=		rasql.1 rasqlinsert.1 rasqltimeindex.1
 .else
 PLIST_SUB+=	MYSQL="@comment "
 .endif
 
-.if defined(WITH_GEOIP)
+.if ${PORT_OPTIONS:MGEOIP}
 LIB_DEPENDS+=	GeoIP:${PORTSDIR}/net/GeoIP
-CONFIGURE_ARGS+=        --with-GeoIP=${LOCALBASE}
+CONFIGURE_ARGS+=	--with-GeoIP=${LOCALBASE}
 .endif
 
-MAN1=	ra.1 rabins.1 racluster.1 racount.1 ragraph.1 rahisto.1 \
-	ranonymize.1 rasort.1 rasplit.1 rastream.1 rastrip.1
-MAN5=	racluster.5 radium.conf.5 rarc.5
+MAN1+=	ra.1 rabins.1 racluster.1 raconvert.1 racount.1 radump.1 raevent.1 \
+	rafilteraddr.1 ragraph.1 ragrep.1 rahisto.1 ralabel.1 ranonymize.1 \
+	rapath.1 rapolicy.1 rasort.1 rasplit.1 rastream.1 rastrip.1
+MAN5=	racluster.5 radium.conf.5 ralabel.conf.5 ranonymize.5 rarc.5
 MAN8=	radium.8
 
-.include <bsd.port.pre.mk>
-
 do-install:
-.for i in ra rabins racluster racount radump rafilteraddr \
-		rahisto ralabel ranonymize rapath rapolicy \
-		raservices rasort rasplit rastream \
-		rastrip ratemplate ratimerange ratop ratree rauserdata
+.for i in ra rabins racluster raconvert racount radium radump raevent \
+	rafilteraddr ragrep rahisto ralabel ranonymize rapath rapolicy \
+	rarpwatch raservices rasort rasplit rastream rastrip \
+	ratemplate ratimerange ratop rauserdata
 	${INSTALL_PROGRAM} ${WRKSRC}/bin/$i ${PREFIX}/bin/$i
 .endfor
-.if defined(WITH_MYSQL)
-.for i in rasql rasqlinsert
+
+.for i in argusclientbug radark ragraph rahosts raips raplot raports
+	${INSTALL_SCRIPT} ${WRKSRC}/bin/$i ${PREFIX}/bin/$i
+.endfor
+
+.if ${PORT_OPTIONS:MMYSQL}
+.for i in rasql rasqlinsert rasqltimeindex
 	${INSTALL_PROGRAM} ${WRKSRC}/bin/$i ${PREFIX}/bin/$i
 .endfor
 .endif
 .for i in radark ragraph rahosts raports
 	${INSTALL_SCRIPT} ${WRKSRC}/bin/$i ${PREFIX}/bin/$i
 .endfor
-.if !defined(NOPORTDOCS)
+.if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}/
-.for i in README COPYING doc/CHANGES doc/FAQ doc/HOW-TO
+.for i in AUTHORS CHANGES CREDITS ChangeLog INSTALL \
+	MANIFEST README VERSION
 	${INSTALL_DATA} ${WRKSRC}/$i ${DOCSDIR}
 .endfor
 .endif
-.if !defined(NOMAN)
+.if ${PORT_OPTIONS:MMANPAGES}
 .for i in ${MAN1}
 	${INSTALL_DATA} ${WRKSRC}/man/man1/$i ${MANPREFIX}/man/man1
 .endfor
@@ -85,9 +88,25 @@ do-install:
 .endfor
 .endif
 	${MKDIR} ${EXAMPLESDIR}
-.for i in Config Startup System
+.for i in Config Database Startup System
 	${MKDIR} ${EXAMPLESDIR}/$i
-	${INSTALL_DATA} ${WRKSRC}/support/$i/* ${EXAMPLESDIR}/$i
 .endfor
 
-.include <bsd.port.post.mk>
+.for i in delegated-ipv4-latest excel.rc iana-address-file \
+	iana-ipv4-address iana-multicast-address iana-port-numbers \
+	racluster.conf radium.conf ragetcountrycodes.sh ralabel.conf \
+	ranonymize.conf rarc rarc.print.all.conf rastream.sh std.sig \
+	wireshark.manuf.txt
+	${INSTALL_DATA} ${WRKSRC}/support/Config/$i ${EXAMPLESDIR}/Config/$i
+.endfor
+.for i in MySQL.Archive.sh README
+	${INSTALL_DATA} ${WRKSRC}/support/Database/$i ${EXAMPLESDIR}/Database/$i
+.endfor
+.for i in README com.qosient.radium.plist com.qosient.rasplit.plist \
+	radium radium.service rasplit
+	${INSTALL_DATA} ${WRKSRC}/support/Startup/$i ${EXAMPLESDIR}/Startup/$i
+.endfor
+.for i in magic
+	${INSTALL_DATA} ${WRKSRC}/support/System/$i ${EXAMPLESDIR}/System/$i
+.endfor
+.include <bsd.port.mk>

Modified: head/net-mgmt/argus3-clients/distinfo
==============================================================================
--- head/net-mgmt/argus3-clients/distinfo	Sat Jan  5 07:52:19 2013	(r309949)
+++ head/net-mgmt/argus3-clients/distinfo	Sat Jan  5 07:53:50 2013	(r309950)
@@ -1,2 +1,2 @@
-SHA256 (argus-clients-3.0.4.1.tar.gz) = c56cb81cc9a898f638cacd9973b43fd01e0dcca3b8c7fcaa8b8c5d0456b8b581
-SIZE (argus-clients-3.0.4.1.tar.gz) = 2116531
+SHA256 (argus-clients-3.0.6.2.tar.gz) = f51d7c8d18fa2236f3fe3726deb3c0b8308c0a6ca767c6089811963da95330fc
+SIZE (argus-clients-3.0.6.2.tar.gz) = 2426454

Modified: head/net-mgmt/argus3-clients/pkg-descr
==============================================================================
--- head/net-mgmt/argus3-clients/pkg-descr	Sat Jan  5 07:52:19 2013	(r309949)
+++ head/net-mgmt/argus3-clients/pkg-descr	Sat Jan  5 07:53:50 2013	(r309950)
@@ -1,9 +1,9 @@
 Client programs that read, parse and process Argus data, and comprise
 the client part of the Audit Record Generation and Utilization System.
 
-Argus is a generic IP network transaction auditing tool that has been used 
-by thousands of sites to perform a number of powerful network management 
-tasks that are currently not possible using commercial network management 
+Argus is a generic IP network transaction auditing tool that has been used
+by thousands of sites to perform a number of powerful network management
+tasks that are currently not possible using commercial network management
 tools.
 
 Argus runs as an application level daemon, promiscuously reading network

Modified: head/net-mgmt/argus3-clients/pkg-plist
==============================================================================
--- head/net-mgmt/argus3-clients/pkg-plist	Sat Jan  5 07:52:19 2013	(r309949)
+++ head/net-mgmt/argus3-clients/pkg-plist	Sat Jan  5 07:53:50 2013	(r309950)
@@ -1,55 +1,74 @@
+bin/argusclientbug
 bin/ra
 bin/rabins
 bin/racluster
+bin/raconvert
 bin/racount
 bin/radark
+bin/radium
 bin/radump
+bin/raevent
 bin/rafilteraddr
 bin/ragraph
+bin/ragrep
 bin/rahisto
 bin/rahosts
+bin/raips
 bin/ralabel
 bin/ranonymize
 bin/rapath
+bin/raplot
 bin/rapolicy
 bin/raports
+bin/rarpwatch
 bin/raservices
 bin/rasort
 bin/rasplit
 %%MYSQL%%bin/rasql
 %%MYSQL%%bin/rasqlinsert
+%%MYSQL%%bin/rasqltimeindex
 bin/rastream
 bin/rastrip
 bin/ratemplate
 bin/ratimerange
 bin/ratop
-bin/ratree
 bin/rauserdata
+%%PORTDOCS%%%%DOCSDIR%%/AUTHORS
 %%PORTDOCS%%%%DOCSDIR%%/CHANGES
-%%PORTDOCS%%%%DOCSDIR%%/COPYING
-%%PORTDOCS%%%%DOCSDIR%%/FAQ
-%%PORTDOCS%%%%DOCSDIR%%/HOW-TO
+%%PORTDOCS%%%%DOCSDIR%%/CREDITS
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL
+%%PORTDOCS%%%%DOCSDIR%%/MANIFEST
 %%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/VERSION
 %%EXAMPLESDIR%%/Config/delegated-ipv4-latest
 %%EXAMPLESDIR%%/Config/excel.rc
 %%EXAMPLESDIR%%/Config/iana-address-file
 %%EXAMPLESDIR%%/Config/iana-ipv4-address
 %%EXAMPLESDIR%%/Config/iana-multicast-address
 %%EXAMPLESDIR%%/Config/iana-port-numbers
-%%EXAMPLESDIR%%/Config/ra.print.all.conf
 %%EXAMPLESDIR%%/Config/racluster.conf
 %%EXAMPLESDIR%%/Config/radium.conf
 %%EXAMPLESDIR%%/Config/ragetcountrycodes.sh
 %%EXAMPLESDIR%%/Config/ralabel.conf
 %%EXAMPLESDIR%%/Config/ranonymize.conf
 %%EXAMPLESDIR%%/Config/rarc
+%%EXAMPLESDIR%%/Config/rarc.print.all.conf
 %%EXAMPLESDIR%%/Config/rastream.sh
 %%EXAMPLESDIR%%/Config/std.sig
+%%EXAMPLESDIR%%/Config/wireshark.manuf.txt
+%%EXAMPLESDIR%%/Database/MySQL.Archive.sh
+%%EXAMPLESDIR%%/Database/README
+%%EXAMPLESDIR%%/Startup/README
+%%EXAMPLESDIR%%/Startup/com.qosient.radium.plist
+%%EXAMPLESDIR%%/Startup/com.qosient.rasplit.plist
 %%EXAMPLESDIR%%/Startup/radium
+%%EXAMPLESDIR%%/Startup/radium.service
+%%EXAMPLESDIR%%/Startup/rasplit
 %%EXAMPLESDIR%%/System/magic
-%%EXAMPLESDIR%%/System/protocols
 @dirrm %%EXAMPLESDIR%%/System
 @dirrm %%EXAMPLESDIR%%/Startup
+@dirrm %%EXAMPLESDIR%%/Database
 @dirrm %%EXAMPLESDIR%%/Config
 @dirrm %%EXAMPLESDIR%%
-%%PORTDOCS%%@dirrmtry %%DOCSDIR%%
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Ruslan Makhmatkhanov freebsd_committer 2013-01-05 07:54:20 UTC
State Changed
From-To: open->closed

Committed, thank you!